From 2d99b00fcc2fedebe241394ecb83d66a71662432 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 21 2020 22:34:35 +0000
Subject: [PATCH 1763/2232] Inline some niche RustName methods


---

diff --git a/syntax/check.rs b/syntax/check.rs
index d0b0ba0..2ac800b 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -356,7 +356,7 @@ fn check_api_fn(cx: &mut Check, efn: &ExternFn) {
     if let Some(receiver) = &efn.receiver {
         let ref span = span_for_receiver_error(receiver);
 
-        if receiver.ty.is_self() {
+        if receiver.ty.rust == "Self" {
             let mutability = match receiver.mutable {
                 true => "mut ",
                 false => "",
diff --git a/syntax/names.rs b/syntax/names.rs
index 2cc91f9..523850e 100644
--- a/syntax/names.rs
+++ b/syntax/names.rs
@@ -1,7 +1,6 @@
 use crate::syntax::{Namespace, Pair, RustName, Symbol, Types};
 use proc_macro2::{Ident, Span};
 use std::iter;
-use syn::Token;
 
 impl Pair {
     // Use this constructor when the item can't have a different name in Rust
@@ -57,16 +56,6 @@ impl RustName {
         unsafe { &*(ident as *const Ident as *const Self) }
     }
 
-    pub fn make_self(span: Span) -> Self {
-        Self {
-            rust: Token![Self](span).into(),
-        }
-    }
-
-    pub fn is_self(&self) -> bool {
-        self.rust == "Self"
-    }
-
     pub fn span(&self) -> Span {
         self.rust.span()
     }
diff --git a/syntax/parse.rs b/syntax/parse.rs
index c571132..4b3e435 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -288,8 +288,8 @@ fn parse_foreign_mod(
         for item in &mut items {
             if let Api::CxxFunction(efn) | Api::RustFunction(efn) = item {
                 if let Some(receiver) = &mut efn.receiver {
-                    if receiver.ty.is_self() {
-                        receiver.ty = RustName::new(single_type.rust.clone());
+                    if receiver.ty.rust == "Self" {
+                        receiver.ty.rust = single_type.rust.clone();
                     }
                 }
             }
@@ -432,7 +432,7 @@ fn parse_extern_fn(
                         lifetime: lifetime.clone(),
                         mutable: arg.mutability.is_some(),
                         var: arg.self_token,
-                        ty: RustName::make_self(arg.self_token.span),
+                        ty: RustName::new(Ident::new("Self", arg.self_token.span)),
                         shorthand: true,
                         pin_tokens: None,
                         mutability: arg.mutability,

